import unittest
from instagraph import API, HashtagFeed, Node, Location, Profile


class TestSum(unittest.TestCase):

    def test_can_extract_hashtag_feed(self):
        feed = HashtagFeed('puppy')
        self.assertGreaterEqual(len(feed.nodes), 1)

    def test_hashtag_feed_can_turn_page(self):
        feed = HashtagFeed('puppy')
        nodes = [n.id for n in feed.nodes]
        end_cursor_before = feed.end_cursor
        feed.next_page()
        end_cursor_after = feed.end_cursor
        nodes.extend([n.id for n in feed.nodes])
        self.assertEqual(len(nodes), len(set(nodes)))
        self.assertNotEqual(end_cursor_before, end_cursor_after)

    def test_can_extract_profile_data(self):
        feed = HashtagFeed('puppy')
        node = feed.nodes[0]
        profile = Profile(node.owner_username)
        self.assertEqual(node.owner_id, profile.id)


if __name__ == '__main__':
    unittest.main()
